Doomsday Engine - Bug #2094

Incorrect "Pillar-Door Statue" model direction in some cases in Heretic
2015-06-19 16:02 - theleo_ua

Status: New Start date: 2015-06-19
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Defect

Target version: Rendering

Description

Incorrect "Pillar-Door Statue" model direction in some cases in Heretic

1) Run heretic with attached mods Decor-decor.pk3 and shinemaps_for_weapons.pk3
2) Go to blue door on e4m3 or e4m2

Actual result: "Pillar-Door Statue" is rotated facing the door/wall (see attached 1_15_0__incorrect_direction.png)

Expected result: "Pillar-Door Statue" should be rotated back to the door or nearest wall (see attached
1.8 6__ correct_direction.png)

NOTE: be sure to test this issue in correct places, because this is not reproduced for example on E1M1 (see attached
E1M1__issue_is_not_reproduced.png) and reproduced on both (1.8.6 and 1.15.0) versions on E1M4 (see attached
E1M4__incorrect_direction_on_both_1_8_6_and_1_15_0.png)

History

#1 - 2015-06-19 16:02 - skyjake
- Target version deleted (1.15.1)

#2 - 2015-06-19 16:03 - theleo_ua

- File shinemaps_for_weapons.pk3 added

#3 - 2015-06-19 16:03 - theleo_ua
- File Decor-decor.pk3 added

#4 - 2015-06-19 16:04 - theleo_ua
- File 1.8 6___ correct_direction_(E4M3).png added

#5 - 2015-06-19 16:04 - theleo_ua
- File 1_15_0__incorrect_direction_(E4M3).png added

#6 - 2015-06-19 16:04 - theleo_ua
- File E1M1__issue_is_not_reproduced.png added

#7 - 2015-06-19 16:04 - theleo_ua
- File E1M4__incorrect_direction_on _both_1_8 6 _and _1_15_0.png added

#8 - 2017-04-03 13:39 - skyjake
- Category set to Defect
- Assignee changed from Deng Team to skyjake

- Target version set to Rendering

Files

doomsday.out 18.6 KB 2015-06-19 theleo_ua

shinemaps_for_weapons.pk3 41.4 KB 2015-06-19 theleo_ua

Decor-decor.pk3 26.2 KB 2015-06-19 theleo_ua
